#define NUM_COLORS 4


#include <stdio.h>
#include <ctype.h>
#include <math.h>

#include <stdlib.h>


#include <fstream> 
#include <iostream>

#include "colorArray.h"


class totalColorArray // constructs the intial array and initializes all values to 0
{ public:
	ArrayColorDef red[MAX_COLOR_RANGE][MAX_COLOR_RANGE][MAX_COLOR_RANGE];
	//ArrayColorDef blue[MAX_COLOR_RANGE][MAX_COLOR_RANGE][MAX_COLOR_RANGE];
	//ArrayColorDef green[MAX_COLOR_RANGE][MAX_COLOR_RANGE][MAX_COLOR_RANGE];
	//ArrayColorDef yellow[MAX_COLOR_RANGE][MAX_COLOR_RANGE][MAX_COLOR_RANGE];
	char filename[255];
	
	totalColorArray()
	{reset();}
	
	
	void reset()
	{
		red.reset();
		//blue.reset();
		//green.reset();
		//yellow.reset();
		//this = {red, blue, green, yellow};
	}
	
	
	void update()
	{
	
		sprintf(filename, "%sredColorDef%d.txt", ROOT_FOLDER, COLOR_STEP_SIZE);
		//red.reload(filename);
		sprintf(filename, "%sblueColorDef%d.txt", ROOT_FOLDER, COLOR_STEP_SIZE);
		//blue.reload(filename);
		sprintf(filename, "%sgreenColorDef%d.txt", ROOT_FOLDER, COLOR_STEP_SIZE);
		//green.reload(filename);
		sprintf(filename, "%syellowColorDef%d.txt", ROOT_FOLDER, COLOR_STEP_SIZE);
		//yellow.reload(filename);
	}
};